#include <iostream>

using namespace std;

int main()
{
    int n,l,h,pom=-1;
    cin >> n >> l;
    for(int i=0;i<n;i++){
        cin >> h;
        if(h<=l && pom==-1){
            pom=i+1;
        }
    }
    cout << pom << endl;
    return 0;
}